BIB2GLS(1)

SYNOPSIS
bib2gls [option]+ auxfile

DESCRIPTION
bib2gls is designed to work with the glossaries-extra LaTeX package. (The record package option is required.) The application performs two functions in one: (1) selects entries from .bib files according to information found in the auxfile (similar to bibtex); (2) hierarchically sorts entries and collates location lists (similar to makeindex and xindy). The .aux extension may be omitted from auxfile.

OPTIONS

--help or -h
    Display help message and exit.

--version or -v
    Display version information and exit.

--debug [level]
    Switch on the debug mode (optionally at the given level, which should be a non-negative integer). If level is 0 then the debug mode is switched off.

--no-debug (or --nodebug)
    Switch off debug mode. (Equivalent to --debug 0)

--verbose
    Switch on verbose mode.

--no-verbose (or --noverbose)
    Switch off verbose mode. (Some messages will still be written to STDOUT.)

--silent
    Only display error messages. All other messages are just written to the transcript file.

--locale lang (or -l lang)
    Use language resource file for lang (which should be an IETF locale tag).

--log-file file (or -t <file>)
    Set the transcript file.

--dir directory (or -d <directory>)
    Files are relative to directory. (This doesn't change the current working directory.)

--tex-encoding name
    Set the character encoding for the output files. This overrides the setting given in auxfile.

--interpret
    Use the TeX parser library to interpret known (La)TeX commands (default).

--no-interpret
    Don't try interpreting (La)TeX commands.

--break-space
    Interpret "~" (tilde) character and "\nobreakspace" as a normal space.

--no-break-space
    Interpret "~" (tilde) and "\nobreakspace" as a non-breaking space (default).

--cite-as-record
    Treat "\citation" as an ignored record.

--no-cite-as-record
    Don't check for instances of "\citation" in the .aux file (default).

--warn-non-bib-fields
    Warn if internal non-bib fields are found in the .bib file.

--no-warn-non-bib-fields
    Don't warn if internal non-bib fields are found in the .bib file. The use of these internal fields can cause unexpected results, so only use this option if you have taken appropriate precautions.

--warn-unknown-entry-types
    Warn if any unknown entry types are found in the .bib file.

--no-warn-unknown-entry-types
    Don't warn if any unknown entry types are found in the .bib file.

--merge-wrglossary-records
    Merge an entry's wrglossary records for the same page locations. (For use with the indexcounter package option.)

--no-merge-wrglossary-records
    Don't merge an entry's wrglossary records.

--merge-nameref-on rule
    Rule for merging locations created with the record=nameref package option (requires glossaries-extra.sty version 1.37+). The rule may be one of: hcounter, href, title or location.

--force-cross-resource-refs or -x
    Force cross-resource referencing mode on.

--no-force-cross-resource-refs
    Don't force cross-resource referencing mode on (default).

--support-unicode-script
    Text superscript ("\textsuperscript") or subscripts ("\textsubscript") will use Unicode superscript/subscript characters if available. For example, "\textsuperscript{2}" will be converted to U+00B2 (superscript two).

--no-support-unicode-script
    Text superscript ("\textsuperscript") or subscripts ("\textsubscript") won't be converted to Unicode superscript/subscript characters. For example, "\textsuperscript{2}" will be converted to "<sup>2</sup>" and the markup will be stripped leaving just the character 2.

--packages list (or -p list)
    Instruct the TeX parser library to pretend the packages listed in list have been used by the document. Note that there's only a limited number of packages supported by the TeX parser library. This option has a cumulative action so --packages wasysym,pifont is the same as --packages wasysym --packages pifont.

    You can find out the list of supported packages with --list-known-packages.

--custom-packages list
    Instruct the TeX parser library to attempt to parse the packages listed in list. This is intended for simple custom packages that don't contain complex code.

--ignore-packages list (or -k list)
    Don't parse the log file for the packages listed in list. Note that --packages overrides this option, so if the same package is listed in both --ignore-packages and --packages then the interpreter will check if it's supported. This option has a cumulative action. Only known packages may be included in list.

--list-known-packages
    Lists all the packages that have are known to the TeX parser library and then exits (with exit code 0). Any of the listed packages may be used in --packages or --ignore-packages.

--mfirstuc-protection fields|all (or -u fields|all)
    Insert an empty group if fields start with certain problematic commands to protect against case-changing commands like "\Gls".

    The default is to do this for all fields. To do this for only a subset of fields, set fields to a comma-separated list of fields (e.g. name,short,long). The keyword all indicates all fields.

--no-mfirstuc-protection
    Switch off the auto-insertion of an empty group for all fields.

--mfirstuc-math-protection
    Switch on the auto-insertion of an empty group for math-shift ("$"). This option will be overridden by --no-mfirstuc-protection.

--no-mfirstuc-math-protection
    Switch off the auto-insertion of an empty group for math-shift ("$").

--nested-link-check list|none
    Check each field listed in list for potentially problematic nested link text. (Default list: name, text, plural, first, firstplural, short, shortplural, long, longplural, symbol).

    If none, disable check.

--no-nested-link-check
    Don't check for potentially problematic nested link text. (Equivalent to --nested-link-check none)

--shortcuts option
    Check for the shortcut commands when searching for dependencies. Permitted values of option: acronyms (or acro), ac, abbreviations (or abbr), all (or true), none (or false). This overrides the setting given in auxfile.

--map-format key:value[,key:value]* (or -m key:value[,key:value]*)
    Set location format mappings.

--group or -g
    Add group field to entries.

--no-group
    Don't add group field to entries (default).

--record-count or -c
    Add record count fields to entries.

--no-record-count
    Don't add record count field to entries (default). This option automatically implements --no-record-count-unit.

--record-count-unit or -n
    Add unit record count fields to entries. This option automatically implements --record-count.

--no-record-count-unit
    Don't add unit record count field to entries (default).

--trim-fields
    Trim leading and trailing spaces from all fields. This option cancels --trim-only-fields and --no-trim-fields.

--trim-only-fields list
    Trim leading and trailing spaces from only the listed fields. This option is cumulative but is cancelled by --trim-fields and --no-trim-fields. This option may not be used with --trim-except-fields.

--trim-except-fields list
    Trim leading and trailing spaces from all fields except those listed. This option is cumulative but is cancelled by --trim-fields and --no-trim-fields. This option may not be used with --trim-only-fields.

--no-trim-fields
    Don't trim leading and trailing spaces from fields (default). This option cancels --trim-only-fields and --trim-fields.

--expand-fields
    Don't write "\glsnoexpandfields" to the .glstex file.

--no-expand-fields
    Write "\glsnoexpandfields" to the .glstex file (default).

--provide-glossaries
    Write "\provideignoredglossary*" to the .glstex file to provide unknown glossaries.

--no-provide-glossaries
    Don't write "\provideignoredglossary*" to the .glstex file to provide unknown glossaries except in documented situations (master, secondary and trigger-type resource options). This setting is the default.

REQUIRES
Java 7 or later and a TeX distribution.

LICENSE
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

RECOMMENDED READING
The bib2gls manual:

        texdoc bib2gls

The glossaries-extra manual:

        texdoc glossaries-extra

The glossaries manual:

        texdoc glossaries

AUTHOR
Nicola L. C. Talbot, <https://www.dickimaw-books.com/>